import * as React from 'react';
import { useStylesheet } from './Stylesheet';

interface FontIconsProps {
    family?: string;
}

const FontIcons = ({ family }: FontIconsProps) => {
    useStylesheet({ href: `https://fonts.googleapis.com/icon?family=${family}` });
    return (
        <React.Fragment />
    );
};

FontIcons.defaultProps = {
    family: 'Material+Icons'
};

export default FontIcons;