import Item from './item/Item';

const LIST = 'list';

type ListFlags = 'multi-select' | 'narrow' | 'nested-items';

interface List {
    flags?: ListFlags;
    items: Item[];
    selection?: number | number[];
    type: typeof LIST;
}

export default List;

export {
    LIST,
    ListFlags
};
